From f79e576f0b94678d8e85e717f2f4945ed76b1a7d Mon Sep 17 00:00:00 2001
From: Colin Watson <cjwatson@debian.org>
Date: Sat, 18 Jan 2014 16:45:02 +0000
Subject: Honour CPPFLAGS, CFLAGS, and LDFLAGS

Forwarded: no
Last-Update: 2010-03-02

Patch-Name: buildflags.patch
---
 Makefile | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/Makefile b/Makefile
index d97a2b0..644ce33 100644
--- a/Makefile
+++ b/Makefile
@@ -6,21 +6,22 @@ LIBRARIES=-lXt -lXaw -lXmu -lXext -lX11 -ljpeg -lm
 #LIBRARIES=-lXt -lXaw -lXmu -lXext -lX11 -lm
 
 CC=gcc -I/usr/X11R6/include/
+CFLAGS=-g -Wall
 
 LIBDIR=-L/usr/lib -L/usr/X11R6/lib
 OBJECTS=imaptool.o file2pixmap.o dgif_lib.o gif_err.o gifalloc.o
 imaptool:	$(OBJECTS)
-		$(CC) -o imaptool $(LIBDIR) $(OBJECTS) $(LIBRARIES) 
+		$(CC) -g -o imaptool $(LDFLAGS) $(LIBDIR) $(OBJECTS) $(LIBRARIES)
 imaptool.o:	imaptool.c icon iconmask
-		$(CC) -c imaptool.c
+		$(CC) $(CPPFLAGS) $(CFLAGS) -c imaptool.c
 file2pixmap.o:	file2pixmap.c
-		$(CC) -c file2pixmap.c $(JPEG_CHOICE)
+		$(CC) $(CPPFLAGS) $(CFLAGS) -c file2pixmap.c $(JPEG_CHOICE)
 dgif_lib.o:	dgif_lib.c
-		$(CC) -c dgif_lib.c
+		$(CC) $(CPPFLAGS) $(CFLAGS) -c dgif_lib.c
 gif_err.o:	gif_err.c
-		$(CC) -c gif_err.c
+		$(CC) $(CPPFLAGS) $(CFLAGS) -c gif_err.c
 gifalloc.o:	gifalloc.c
-		$(CC) -c gifalloc.c
+		$(CC) $(CPPFLAGS) $(CFLAGS) -c gifalloc.c
 
 clean:
 	rm -f $(OBJECTS) imaptool
